<?
error_reporting(E_ALL);
ini_set('display_errors', 'On');
require_once '../api/nfephp/bootstrap.php';

use NFePHP\NFe\ToolsNFe;

$nfe = new ToolsNFe('../api/nfephp/config/config.json');
$nfe->setModelo('55');

$chave = '';
$recibo= '';

if(isset($_GET['chave'])){
	$chave = $_GET['chave'];
}

if(isset($_GET['recibo'])){
	$recibo= $_GET['recibo'];
}

/*
$chave = '35180607494091000108550010000010601000010600';
$recibo= '351000119446878';


valor testado na nuvem: 35170907494091000108550010000000031000000034
'351000113472426'
'351000113460834';
'351000113472406';

*/

$tpAmb = '2';
$aResposta = array();

echo "<br>CHAVE;$chave";
echo "<br>RECIBO;$recibo";


/* Consulta o Status na Sefaz */
if(isset($_GET['status'])){
    echo "<br>CONSULTANDO STATUS NA SEFAZ";
	$xml = $nfe->sefazStatus('SP', $tpAmb, $aResposta);
}

/* Consulta pela Danfe: */
if($chave!=""){
  echo "<br>CONSULTANDO PELO NUMERO DA DANFE";
  $xml = $nfe->sefazConsultaChave($chave, $tpAmb, $aResposta);	
}

/* Consulta pelo Recibo: */
if($recibo!=""){
 echo "<br>CONSULTANDO PELO NUMERO DO RECIBO";
 
 // $xml = $nfe->sefazConsultaRecibo310($recibo, $tpAmb, $aResposta);
 $xml = $nfe->sefazConsultaRecibo($recibo, $tpAmb, $aResposta);	
}

/*

echo "<br>EXIBINDO O DEBUG: $chave | $recibo<br><pre>";
echo htmlspecialchars($nfe->soapDebug);

// echo '<br>EXIBINDO O ARRAY LIMPO:';
*/
echo '</pre><br><pre>';
print_r($aResposta);
echo "<pre><br>";

exit;
?>
